/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/libraries/expat/expat.hpp

*/

#ifndef SGX_LIBRARIES_EXPAT_HPP
#define SGX_LIBRARIES_EXPAT_HPP	1


class sgxXMLExpatParser : public CXMLParser {
public:
    static  CXMLParser	    *create();
    virtual tBOOL			parseFile(sgxXMLTree &tree, CSGXFile &file);

protected:
    sgxXMLExpatParser();

private:
    virtual ~sgxXMLExpatParser();
};


#endif /* SGX_LIBRARIES_EXPAT_HPP */
